package com.example.mytest;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.util.Log;
import android.widget.ImageView;

import java.io.InputStream;
import java.net.URI;
import java.net.URL;
import java.util.Objects;

public class ImageDownload extends Thread {
    final ImageView refImage;
    final Interface iface;
    final String url;

    public ImageDownload(String url, ImageView refImage, Interface i) {
        this.refImage = refImage;
        this.iface = i;
        this.url = url;
    }

    @Override
    public void run() {
        Bitmap image = null;

        try{
            InputStream in = new URL(
                    "https://ktk-45.ru" + url
            ).openStream();
            image = BitmapFactory.decodeStream(in);
        } catch (Exception e) {
            e.printStackTrace();
        }

        iface.SetImage(refImage, image);
    }
}
